### Method

# GLib KeyFile load_from_bytes

since: 2.50

#### Declaration

    gboolean
    g_key_file_load_from_bytes (
      GKeyFile* key_file,
      GBytes* bytes,
      GKeyFileFlags flags,
      GError** error
    )

#### Description

Loads a key file from the data in `bytes` into an empty `GKeyFile` structure. If the object cannot be created then %error is set to a `GKeyFileError`.

Available since: 2.50

#### Parameters

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the method.

`flags`

  Type: `GKeyFileFlags`

  Flags from `GKeyFileFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if a key file could be loaded, `FALSE` otherwise.